Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.campaign.model
Enum AddToPlaceholderModel.Weight

    java.lang.Object
      java.lang.Enum<AddToPlaceholderModel.Weight>
          com.bea.campaign.model.AddToPlaceholderModel.Weight

All Implemented Interfaces
  Serializable, Comparable<AddToPlaceholderModel.Weight>

Enclosing class:
  AddToPlaceholderModel

    public static enum AddToPlaceholderModel.Weight

extends Enum<AddToPlaceholderModel.Weight>

An enum of the possible weights.

Enum Constant Summary
`HIGH`
`HIGHEST`
`LOW`
`LOWEST`
`NORMAL`

Method Summary
`String` | `toDisplayString()` Get a display form of this weight, localized to the java vm's default locale.
`static AddToPlaceholderModel.Weight` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AddToPlaceholderModel.Weight[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIGHEST

    public static final AddToPlaceholderModel.Weight HIGHEST

### HIGH

    public static final AddToPlaceholderModel.Weight HIGH

### NORMAL

    public static final AddToPlaceholderModel.Weight NORMAL

### LOW

    public static final AddToPlaceholderModel.Weight LOW

### LOWEST

    public static final AddToPlaceholderModel.Weight LOWEST

Method Detail

### values

    public static final AddToPlaceholderModel.Weight[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static AddToPlaceholderModel.Weight valueOf(String name)

  Returns the enum constant of this type with the specified name.

### toDisplayString

    public String toDisplayString()

  Get a display form of this weight, localized to the java vm's default locale.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.